<div class="content__user">
  <form autocomplete="off">
    <div class="form-group row">
      <div class="col-6">
        <label for="">Nombre de la persona: </label>
        <input type="text" class="form-control" placeholder="Escriba el nombre completo de la persona" tabindex="1" name="nombre"
        [(ngModel)]="usuarioModel.nombre">
      </div>
      <div class="col-6">
        <label for="">Correo: </label>
        <div class="row m-0">
          <input type="text" placeholder="Escriba el correo institucional" class="form-control col" tabindex="2" name="usuario"
          [(ngModel)]="usuarioModel.correo">
          <span class="col-auto">@scjn.gob.mx</span>
        </div>
      </div>
      <div class="col-12">
        <label for="">Módulos de acceso:</label>
        <div class="head-votacion">
          <p>Seleccione las vistas a permitir al usuario</p>
        </div>
        <div class="list p-2">
          <div class="list-item d-flex align-items-center" style="gap: 10px;" *ngFor="let module of nameModules; let i = index">
            <p-checkbox [tabindex]="(2+i+1)" name="group2" value="module" [value]="module" [inputId]="module+'v'+i" 
            (onChange)="addModulo($event.checked,module)"></p-checkbox>
            <label [for]="module+'v'+i" class="mb-0">{{module}}</label>
          </div>
        </div>
      </div>
      <div class="col-12">
        <div class="d-flex justify-content-between">
          <div>
            <label>¿Tiene permisos para ver, editar y borrar todas las sentencias de cualquier usuario?</label></div>
          <div>
            <p-inputSwitch name="super" [(ngModel)]="super" (onChange)="addOpciones($event.checked,'superadmin')"></p-inputSwitch>
          </div>
        </div>
        <div class="d-flex justify-content-between">
          <div>
            <label>Puede editar número de votos realizados</label></div>
          <div>
            <p-inputSwitch name="editVoto" [(ngModel)]="editVoto" (onChange)="addOpciones($event.checked,'restricted')"></p-inputSwitch>
          </div>
        </div>
        <div class="d-flex justify-content-between">
          <div>
            <label>Asignación de asuntos</label></div>
          <div>
            <p-inputSwitch name="asuntos" [(ngModel)]="isAsuntos" (onChange)="addOpciones($event.checked,'asignacion')"></p-inputSwitch>
          </div>
        </div>
      </div>
    </div>
    <div class="d-flex justify-content-end">
      <p-button styleClass="p-button-sm" icon="pi pi-save" label="Guardar" (onClick)="crearUsuario()"></p-button>
    </div>
  </form>
</div>
